//
// THIS FILE IS COPYRIGHT 1994, 1995 BY TELENOR R&D, NORWAY
//
//                        ALL RIGHTS RESERVED.
//
// For rights granted to the public see the COPYRIGHT file
//
//
// LexAnalyzer.h	The lexical analyzer for the FFW search engine.
//
// Author: Haiyan Yang

#ifndef _LEXANALYZER_H
#define _LEXANALYZER_H

#include <iostream.h>
#include "Token.h"

class Lex {
public:
    Lex(String &input);
    Token* advanceToken();
    Token* currToken();
    String& getInput();
    int getInputPtr();
private:
    String input;
    int input_ptr;
    Token* curr;
    Token *getToken();
};

inline String& Lex::getInput()
{
    return input;
}

inline int Lex::getInputPtr()
{
    return input_ptr;
}
#endif /* LEXANALYZER_H */
